Skip to main content
POST
/
migrations
/
{migration_id}
/
files
Mint signed upload URLs
curl --request POST \
  --url https://app.vern.so/api/v1/migrations/{migration_id}/files \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "files": [
    {
      "name": "contacts.csv",
      "content_type": "text/csv"
    }
  ]
}
'
{
  "files": [
    {
      "name": "contacts.csv",
      "storage_path": "workbooks/b3d9.../<uuid>-contacts.csv",
      "signed_url": "https://storage.vern.so/object/upload/sign/...&token=...",
      "token": "ey...",
      "content_type": "text/csv"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Vern API key. Create one at Settings → API keys.

Path Parameters

migration_id
string<uuid>
required

The migration ID returned by Create a migration.

Body

application/json
files
object[]
required
Minimum array length: 1

Response

One signed upload per requested file.

files
object[]